﻿using System.Windows.Input;
using Telerik.Windows.Controls;

namespace RadMenu_Commanding
{
	public class MenuItemViewModel : MenuViewModel
	{
		public enum MenuItemTypes : uint { Link, SpecialLink, TopLevel, TopLevelSection, Title, Paragraph, Gallery, Image };

		public string Content { get; set; }
		public MenuItemTypes Type { get; set; }

		private bool isSeparator = false;
		public bool IsSeparator
		{
			get
			{
				return isSeparator;
			}
			set
			{
				isSeparator = value;
			}
		}

		public MenuItemViewModel()
		{
		}

        // NOTE: The Command
        public virtual ICommand Command
        {
            get
            {
                return new DelegateCommand(OnCommandExecute);
            }
        }

        private void OnCommandExecute(object param)
        {
            RadWindow.Alert("Menu item clicked: " + this.Content);
        }
	}
}
